# Class FullScreenAdService

java.lang.Object
com.codename1.impl.FullScreenAdService

Direct Known Subclasses:
  `VServAds`

@Deprecated public abstract class FullScreenAdService extends Object
Deprecated.
superseded by the modern advertising API; use `InterstitialAd` together with `AdManager.bindInterstitialOnTransition(InterstitialAd, int)` and `AppOpenAd` instead.
Abstract class for fullscreen ads that appear before and possibly after application execution as well as randomly between application screen transitions.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FullScreenAdService()`
  Deprecated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `bindTransitionAd(int timeForNext)`
  Deprecated.
  Binds an ad to appear periodically after a given timeout
  `protected abstract void`
  `clearPendingAd()`
  Deprecated.
  Removes the pending ad data so we can fetch a new ad
  `protected abstract ConnectionRequest`
  `createAdRequest()`
  Deprecated.
  Creates a new request for an ad
  `protected abstract boolean`
  `failed()`
  Deprecated.
  Returns true if the connection failed
  `protected abstract String`
  `getAdDestination()`
  Deprecated.
  Returns the URL for the ad
  `int`
  `getAdDisplayTime()`
  Deprecated.

  ###### Returns

  `protected abstract Component`
  `getPendingAd()`
  Deprecated.
  Component representing a given ad
  `int`
  `getTimeout()`
  Deprecated.
  The timeout in milliseconds for an ad request
  `protected abstract boolean`
  `hasPendingAd()`
  Deprecated.
  Just checks if an ad is already fetched
  `boolean`
  `isAllowSkipping()`
  Deprecated.

  ###### Returns

  `boolean`
  `isAllowWithoutNetwork()`
  Deprecated.
  If set to true this flag allows the application to load even if an Ad cannot be displayed
  `boolean`
  `isScaleMode()`
  Deprecated.

  ###### Returns

  `void`
  `setAdDisplayTime(int adDisplayTime)`
  Deprecated.

  ###### Parameters

  `void`
  `setAllowSkipping(boolean allowSkipping)`
  Deprecated.

  ###### Parameters

  `void`
  `setAllowWithoutNetwork(boolean allowWithoutNetwork)`
  Deprecated.
  If set to true this flag allows the application to load even if an Ad cannot be displayed
  `void`
  `setScaleMode(boolean scaleMode)`
  Deprecated.

  ###### Parameters

  `void`
  `setTimeout(int timeout)`
  Deprecated.
  The timeout in milliseconds for an ad request
  `void`
  `showWelcomeAd()`
  Deprecated.
  Invoked on application startup, this code will download an ad or timeout

  ### Methods inherited from class Object

  `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### FullScreenAdService

    public FullScreenAdService()
    Deprecated.

- ## Method Details

  - ### createAdRequest

    protected abstract ConnectionRequest createAdRequest()
    Deprecated.

    Creates a new request for an ad

    ###### Returns

    the network operation

  - ### getPendingAd

    protected abstract Component getPendingAd()
    Deprecated.

    Component representing a given ad

    ###### Returns

    the ad that is currently pending

  - ### hasPendingAd

    protected abstract boolean hasPendingAd()
    Deprecated.

    Just checks if an ad is already fetched

    ###### Returns

    returns true if an ad is already waiting in the queue

  - ### clearPendingAd

    protected abstract void clearPendingAd()
    Deprecated.
    Removes the pending ad data so we can fetch a new ad

  - ### getAdDestination

    protected abstract String getAdDestination()
    Deprecated.

    Returns the URL for the ad

    ###### Returns

    the ad URL

  - ### failed

    protected abstract boolean failed()
    Deprecated.
    Returns true if the connection failed

  - ### showWelcomeAd

    public void showWelcomeAd()
    Deprecated.
    Invoked on application startup, this code will download an ad or timeout

  - ### bindTransitionAd

    public void bindTransitionAd(int timeForNext)
    Deprecated.

    Binds an ad to appear periodically after a given timeout

    ###### Parameters

    - `timeForNext`: the timeout in which an ad should be shown in milliseconds

  - ### isAllowWithoutNetwork

    public boolean isAllowWithoutNetwork()
    Deprecated.

    If set to true this flag allows the application to load even if an Ad cannot be displayed

    ###### Returns

    the allowWithoutNetwork

  - ### setAllowWithoutNetwork

    public void setAllowWithoutNetwork(boolean allowWithoutNetwork)
    Deprecated.

    If set to true this flag allows the application to load even if an Ad cannot be displayed

    ###### Parameters

    - `allowWithoutNetwork`: the allowWithoutNetwork to set

  - ### getTimeout

    public int getTimeout()
    Deprecated.

    The timeout in milliseconds for an ad request

    ###### Returns

    the timeout

  - ### setTimeout

    public void setTimeout(int timeout)
    Deprecated.

    The timeout in milliseconds for an ad request

    ###### Parameters

    - `timeout`: the timeout to set

  - ### getAdDisplayTime

    public int getAdDisplayTime()
    Deprecated.

    ###### Returns

    the adDisplayTime

  - ### setAdDisplayTime

    public void setAdDisplayTime(int adDisplayTime)
    Deprecated.

    ###### Parameters

    - `adDisplayTime`: the adDisplayTime to set

  - ### isScaleMode

    public boolean isScaleMode()
    Deprecated.

    ###### Returns

    the scaleMode

  - ### setScaleMode

    public void setScaleMode(boolean scaleMode)
    Deprecated.

    ###### Parameters

    - `scaleMode`: the scaleMode to set

  - ### isAllowSkipping

    public boolean isAllowSkipping()
    Deprecated.

    ###### Returns

    the allowSkipping

  - ### setAllowSkipping

    public void setAllowSkipping(boolean allowSkipping)
    Deprecated.

    ###### Parameters

    - `allowSkipping`: the allowSkipping to set